Inventories REST API

Inventories REST API documentation and interactive testing.

For the OpenAPI Specificationarrow-up-right document use this link: https://apis.objectsgrid.com/inventories/contractarrow-up-right

Create object

post
Authorizations
AuthorizationstringRequired

JWT Access Token obtained from Create User Account Access Token operation.

Header parameters
X-ObjectsGrid-AccessPointstring · enumRequired

EU or US depending on where your Organization Account is located

Possible values:
X-ObjectsGrid-RestApiVersionstringOptional

This header allows targeting an API version. If you want to target the latest API version set its value to 'latest' If you want to target the latest stable API version set its value to 'stable'

X-ObjectsGrid-SessionIDstringOptional

This header allows you to provide a Session ID to be traced through the request stack and returned in the response.

Body

Objects Grid Inventory Object

anyOptional
or
anyOptional
Responses
post
/inventories

Retrieve Object

get
Authorizations
AuthorizationstringRequired

JWT Access Token obtained from Create User Account Access Token operation.

Path parameters
idstringRequired

ID of the object to retrieve

Query parameters
langstringOptional

BCP 47 language code

Example: fr, de, de-AT, cy-GB
Header parameters
X-ObjectsGrid-AccessPointstring · enumRequired

EU or US depending on where your Organization Account is located

Possible values:
X-ObjectsGrid-RestApiVersionstringOptional

This header allows targeting an API version. If you want to target the latest API version set its value to 'latest' If you want to target the latest stable API version set its value to 'stable'

X-ObjectsGrid-SessionIDstringOptional

This header allows you to provide a Session ID to be traced through the request stack and returned in the response.

Responses
get
/inventories/{id}

Update Object

put
Authorizations
AuthorizationstringRequired

JWT Access Token obtained from Create User Account Access Token operation.

Path parameters
idstringRequired

ID of the object to update

Header parameters
X-ObjectsGrid-AccessPointstring · enumRequired

EU or US depending on where your Organization Account is located

Possible values:
X-ObjectsGrid-RestApiVersionstringOptional

This header allows targeting an API version. If you want to target the latest API version set its value to 'latest' If you want to target the latest stable API version set its value to 'stable'

X-ObjectsGrid-SessionIDstringOptional

This header allows you to provide a Session ID to be traced through the request stack and returned in the response.

Body

Objects Grid Inventory Object

anyOptional
or
anyOptional
Responses
put
/inventories/{id}

Patch Object

patch
Authorizations
AuthorizationstringRequired

JWT Access Token obtained from Create User Account Access Token operation.

Path parameters
idstringRequired

ID of the object to update

Header parameters
X-ObjectsGrid-AccessPointstring · enumRequired

EU or US depending on where your Organization Account is located

Possible values:
X-ObjectsGrid-RestApiVersionstringOptional

This header allows targeting an API version. If you want to target the latest API version set its value to 'latest' If you want to target the latest stable API version set its value to 'stable'

X-ObjectsGrid-SessionIDstringOptional

This header allows you to provide a Session ID to be traced through the request stack and returned in the response.

Body

Objects Grid Inventory Object

anyOptional
or
anyOptional
Responses
patch
/inventories/{id}

Delete Object

delete
Authorizations
AuthorizationstringRequired

JWT Access Token obtained from Create User Account Access Token operation.

Path parameters
idstringRequired

ID of the object to delete

Header parameters
X-ObjectsGrid-AccessPointstring · enumRequired

EU or US depending on where your Organization Account is located

Possible values:
X-ObjectsGrid-RestApiVersionstringOptional

This header allows targeting an API version. If you want to target the latest API version set its value to 'latest' If you want to target the latest stable API version set its value to 'stable'

X-ObjectsGrid-SessionIDstringOptional

This header allows you to provide a Session ID to be traced through the request stack and returned in the response.

Responses
delete
/inventories/{id}

No content

List objects

get

This operation supports Elastic Search Query DSL query format

Authorizations
AuthorizationstringRequired

JWT Access Token obtained from Create User Account Access Token operation.

Query parameters
langstringOptional

BCP 47 language code

Example: fr, de, de-AT, cy-GB
querystringOptional

Elastic Search Query DSL.

Example: { "query": { "match_all": {} } }
fromintegerOptional

Defines the starting record number for retrieval.

sizeintegerOptional

Defines the number of records to retrieve.

Header parameters
X-ObjectsGrid-AccessPointstring · enumRequired

EU or US depending on where your Organization Account is located

Possible values:
X-ObjectsGrid-RestApiVersionstringOptional

This header allows targeting an API version. If you want to target the latest API version set its value to 'latest' If you want to target the latest stable API version set its value to 'stable'

X-ObjectsGrid-SessionIDstringOptional

This header allows you to provide a Session ID to be traced through the request stack and returned in the response.

Responses
get
/inventories

Last updated

Was this helpful?